summaryrefslogtreecommitdiffstats
path: root/system/file-roller-gtk2
diff options
context:
space:
mode:
Diffstat (limited to 'system/file-roller-gtk2')
-rw-r--r--system/file-roller-gtk2/README28
-rw-r--r--system/file-roller-gtk2/doinst.sh14
-rw-r--r--system/file-roller-gtk2/file-roller-gtk2.SlackBuild120
-rw-r--r--system/file-roller-gtk2/file-roller-gtk2.info10
-rw-r--r--system/file-roller-gtk2/no_GPtrArray.patch36
-rw-r--r--system/file-roller-gtk2/slack-desc19
6 files changed, 227 insertions, 0 deletions
diff --git a/system/file-roller-gtk2/README b/system/file-roller-gtk2/README
new file mode 100644
index 0000000000..f932fbe4aa
--- /dev/null
+++ b/system/file-roller-gtk2/README
@@ -0,0 +1,28 @@
+This is the last GTK2 version of file-roller. It will conflict with the
+latest one, so don't install both.
+
+File-roller is an archive manager for the GNOME environment. It allows
+you to:
+
+ * Create and modify archives
+ * View and search the content of an archive
+ * View a file contained in an archive
+ * Extract files from the archive
+
+File-roller supports the following formats:
+
+ * Tar (.tar) archives, including those compressed with
+ gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
+ compress (.tar.Z, .taz), lzop (.tar.lzo, .tzo) and lzma (.tar.lzma)
+ * Zip archives (.zip)
+ * Jar archives (.jar, .ear, .war)
+ * 7z archives (.7z)
+ * iso9660 CD images (.iso)
+ * Lha archives (.lzh)
+ * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
+ compress (.Z), lzop (.lzo) and lzma (.lzma)
+
+File-roller doesn't perform archive operations by itself, but relies on
+standard tools for this.
+
+It integrates well in Thunar (XFCE) using Thunar-Archive-Plugin.
diff --git a/system/file-roller-gtk2/doinst.sh b/system/file-roller-gtk2/doinst.sh
new file mode 100644
index 0000000000..052b9667ff
--- /dev/null
+++ b/system/file-roller-gtk2/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/system/file-roller-gtk2/file-roller-gtk2.SlackBuild b/system/file-roller-gtk2/file-roller-gtk2.SlackBuild
new file mode 100644
index 0000000000..e954c3e0ba
--- /dev/null
+++ b/system/file-roller-gtk2/file-roller-gtk2.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Slackware build script for file-roller
+
+# Copyright 2023 Petar Petrov slackalaxy@gmail.com
+# Copyright 2012 Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+# Copyright 2010 Binh Nguyen <binhvng@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=file-roller-gtk2
+SRCNAM=file-roller
+VERSION=${VERSION:-2.32.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Remove this obsolete function or compilation will break
+patch -p1 -i $CWD/no_GPtrArray.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localedir=/usr/share/locale \
+ --disable-scrollkeeper \
+ --with-gtk=2.0 \
+ --disable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make V=1
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog HACKING MAINTAINERS NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/file-roller-gtk2/file-roller-gtk2.info b/system/file-roller-gtk2/file-roller-gtk2.info
new file mode 100644
index 0000000000..da5898a36f
--- /dev/null
+++ b/system/file-roller-gtk2/file-roller-gtk2.info
@@ -0,0 +1,10 @@
+PRGNAM="file-roller-gtk2"
+VERSION="2.32.2"
+HOMEPAGE="http://fileroller.sourceforge.net/"
+DOWNLOAD="https://download.gnome.org/sources/file-roller/2.32/file-roller-2.32.2.tar.bz2"
+MD5SUM="2ec596e237c2f3af1d7d3f5b9c12884f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/system/file-roller-gtk2/no_GPtrArray.patch b/system/file-roller-gtk2/no_GPtrArray.patch
new file mode 100644
index 0000000000..d03dc96b3c
--- /dev/null
+++ b/system/file-roller-gtk2/no_GPtrArray.patch
@@ -0,0 +1,36 @@
+diff -pruN old/src/glib-utils.c new/src/glib-utils.c
+--- old/src/glib-utils.c 2011-04-26 17:29:35.000000000 +0300
++++ new/src/glib-utils.c 2021-01-14 00:29:26.236713125 +0200
+@@ -542,21 +542,6 @@ get_time_string (time_t time)
+ }
+
+
+-GPtrArray *
+-g_ptr_array_copy (GPtrArray *array)
+-{
+- GPtrArray *new_array;
+-
+- if (array == NULL)
+- return NULL;
+-
+- new_array = g_ptr_array_sized_new (array->len);
+- memcpy (new_array->pdata, array->pdata, array->len * sizeof (gpointer));
+- new_array->len = array->len;
+-
+- return new_array;
+-}
+-
+
+ void
+ g_ptr_array_free_full (GPtrArray *array,
+diff -pruN old/src/glib-utils.h new/src/glib-utils.h
+--- old/src/glib-utils.h 2011-04-26 17:29:35.000000000 +0300
++++ new/src/glib-utils.h 2021-01-14 00:30:57.756705920 +0200
+@@ -59,7 +59,6 @@ const char * get_last_field
+ int last_field);
+ int n_fields (char **str_array);
+ char * get_time_string (time_t time);
+-GPtrArray * g_ptr_array_copy (GPtrArray *array);
+ void g_ptr_array_free_full (GPtrArray *array,
+ GFunc func,
+ gpointer user_data);
diff --git a/system/file-roller-gtk2/slack-desc b/system/file-roller-gtk2/slack-desc
new file mode 100644
index 0000000000..cde4a7826c
--- /dev/null
+++ b/system/file-roller-gtk2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+file-roller-gtk2: file-roller-gtk2 (an archive manager for GNOME)
+file-roller-gtk2:
+file-roller-gtk2: File-roller is an archive manager for the GNOME environment. It allows
+file-roller-gtk2: you to:
+file-roller-gtk2: * Create and modify archives
+file-roller-gtk2: * View the content of an archive
+file-roller-gtk2: * View a file contained in an archive
+file-roller-gtk2: * Extract files from the archive
+file-roller-gtk2:
+file-roller-gtk2: Homepage: http://fileroller.sourceforge.net/
+file-roller-gtk2: